Subject: Re: LSAs with Reserved flooding scope

From: "Kwiatkowski, Jacek" <[email-masked]>
Date: Fri, 9 Aug 2002 10:56:51 -0400

Subhash,

You are right. However, the same issue can happen in OSPFv2 if the LS type
of a received LSA is unknown.
In both versions of OSPF, receiving of such an LSA in DD packets indicates
that one of OSPF routers is broken.

Jacek

On Thu, 8 Aug 2002 20:38:17 -0700, Subhash <[email-masked]> wrote:

>Hi,
>
>I was going over rfc 2740 section 3.5.1(3) - if the flooding scope of a
>received LSA is set to reserved, discard it.  Is such a check required
>when a database description packet is received?
>
>The reason why I am asking is because if a router doesnt make such a
>check upon receiving the DD, & sends a request for such an LSA, its
>request list will never become empty, as per rfc 2328.  Am I right?
>
>Thanks for your feedback.
>-Subhash
>
>
>__________________________________________________
>Do You Yahoo!?
>HotJobs - Search Thousands of New Jobs
>http://www.hotjobs.com